Package org.apache.uima.cas.impl

# Class CommonSerDes.Header

java.lang.Object
org.apache.uima.cas.impl.CommonSerDes.Header

Enclosing class:
  CommonSerDes

public static class CommonSerDes.Header extends Object
HEADERS Serialization versioning There are 1 or 2 words used for versioning. Compressed formats and plain formats with bit xx on in first word use 2nd word First word: - bit in 0x01 position: on for binary non-delta (redundant) - bit in 0x02 position: on means delta, off - not delta - bit in 0x04 position: on means compressed, off means plain binary - bit in 0x08 position: on means type system + indexes def included - bit in 0x10 position: on means type system (only) included - bits 0xF0 reserved - byte in 0xFF 00 position: a sequential version number, incrementing (starting w/ 0) 0 = original (UIMA v2) 1 = fixes to original found during V3 development 2 = V3 - byte in 0xFF 00 00 position: special flags with some shared meaning -- bit 0x01 00 00: V3 formats Second word: - bit in 0x01 position: on means form6, off = form 4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonSerDes.Header`
  `delta()`
  `CommonSerDes.Header`
  `delta(boolean v2)`
  `CommonSerDes.Header`
  `form4()`
  `CommonSerDes.Header`
  `form6()`
  `byte`
  `getSeqVersionNbr()`
  `boolean`
  `isCompressed()`
  `boolean`
  `isDelta()`
  `boolean`
  `isForm4()`
  `boolean`
  `isForm6()`
  `boolean`
  `isTypeSystemIncluded()`
  `boolean`
  `isTypeSystemIndexDefIncluded()`
  `boolean`
  `isV3()`
  `CommonSerDes.Header`
  `seqVer(int v2)`
  `CommonSerDes.Header`
  `typeSystemIncluded(boolean f)`
  `CommonSerDes.Header`
  `typeSystemIndexDefIncluded(boolean f)`
  `CommonSerDes.Header`
  `v3()`
  `void`
  `write(DataOutputStream dos)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Header

    public Header()

- ## Method Details

  - ### delta

    public CommonSerDes.Header delta()

  - ### delta

    public CommonSerDes.Header delta(boolean v2)

  - ### form4

    public CommonSerDes.Header form4()

  - ### form6

    public CommonSerDes.Header form6()

  - ### typeSystemIncluded

    public CommonSerDes.Header typeSystemIncluded(boolean f)

  - ### typeSystemIndexDefIncluded

    public CommonSerDes.Header typeSystemIndexDefIncluded(boolean f)

  - ### seqVer

    public CommonSerDes.Header seqVer(int v2)

  - ### v3

    public CommonSerDes.Header v3()

  - ### write

    public void write(DataOutputStream dos) throws IOException
    Throws:
      `IOException`

  - ### isDelta

    public boolean isDelta()

  - ### isCompressed

    public boolean isCompressed()

  - ### isForm4

    public boolean isForm4()

  - ### isForm6

    public boolean isForm6()

  - ### isTypeSystemIndexDefIncluded

    public boolean isTypeSystemIndexDefIncluded()

  - ### isTypeSystemIncluded

    public boolean isTypeSystemIncluded()

  - ### getSeqVersionNbr

    public byte getSeqVersionNbr()

  - ### isV3

    public boolean isV3()